using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JuSNS.Home;
using JuSNS.Model;
using JuSNS.Common;


namespace JuSNS.Web.home.ibase
{
	public partial class mobile : JuSNS.UI.Page.UserPage
	{
        JuSNS.Home.MyInfo ac = new JuSNS.Home.MyInfo();
        JuSNS.Home.User us = new JuSNS.Home.User();
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                string type = Request.QueryString["Type"];
                int n = 0;
                if (type == "Mobile")
                {
                    if (Request.Form["Mobile"] != "")
                    {
                        if (ac.getMSNGtalk(Request.QueryString["Mobile"], 2) > 0)
                        {
                            Response.Write("2");
                            Response.End();

                        }
                    }
                    n = ac.UpdateMSNGtalk(Request.QueryString["Mobile"], this.UserID, 2);
                }
                else
                {
                    if (!IsPostBack)
                    {
                        UserBasicInfo ub = us.GetUserBasic(this.UserID);
                        this.txtNumber.Value = ub.Mobile;
                    }
                }

                if (n == 1)
                {
                    Response.Write("1");
                    Response.End();
                }
            }
            catch
            {

            }
        }
	}
}
